If a strategy module auto resolved the merge cleanly, record the used
strategy in the log message, e.g.:
Merge branch 'maint' using strategy ours
Signed-off-by: Gerrit Pape <redacted>
---
I personally find this useful especially for the 'ours' strategy.
git-merge.sh | 3 ++-
1 files changed, 2 insertions(+), 1 deletions(-)
diff --git a/git-merge.sh b/git-merge.sh
index 981d69d..b661f74 100755
--- a/git-merge.sh
+++ b/git-merge.sh
@@ -440,7 +440,8 @@ done
if test '' != "$result_tree"
then
parents=$(git-show-branch --independent "$head" "$@" | sed -e 's/^/-p /')
- result_commit=$(printf '%s\n' "$merge_msg" | git-commit-tree $result_tree $parents) || exit
+ result_commit=$(printf '%s\n' "$merge_msg using strategy $wt_strategy" |
+ git-commit-tree $result_tree $parents) || exit
finish "$result_commit" "Merge made by $wt_strategy."
dropsave
exit 0--
1.5.2